package org.jboss.seam.genericbeans.test;

import javax.enterprise.inject.spi.BeanManager;
import javax.enterprise.util.AnnotationLiteral;

import org.jboss.weld.environment.se.StartMain;
import org.jboss.weld.environment.se.events.Shutdown;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;

public class AbstractTest
{

	public static String[] ARGS_EMPTY = new String[] {};

	protected BeanManager manager;

	protected void preBootstrap()
	{
	}

	@BeforeClass
	public void setup()
	{
		String[] args = ARGS_EMPTY;
		preBootstrap();
		manager = new StartMain(args).go();
	}

	@AfterClass
	public void teardown()
	{
		manager.fireEvent(manager, new ShutdownAnnotation());
	}

	protected static class ShutdownAnnotation extends
			AnnotationLiteral<org.jboss.weld.environment.se.events.Shutdown>
			implements Shutdown
	{
	}

}
